apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: gitlab-0.3.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: gitlab
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: gitlab
      podspec:
        containers:
          - image: aep/base_jammy
            name: gitlab
      provides:
        - exposed: true
          name: http
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
              - name: https
                port: 443
                protocol: TCP
                targetPort: 443
      sizing:
        increment: 1
        initial: 1
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: gitlab-operator
      vendor: asag
      version: 0.3.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  limits:
    ram: 4Gi
  name: gitlab
  settings:
    - name: environment
      schema:
        default: gitlab_prod
    - name: puppet_timeout
      schema:
        default: 600
  version: 0.3.0
